Mail archive
alpine-devel

[alpine-devel] testing/dovecot-pigeonhole-plugin: new aport

From: Козак Иван Васильевич <kozak-iv_at_yandex.ru>
Date: Tue, 04 Feb 2014 20:34:26 +0400

---
  testing/dovecot-pigeonhole-plugin/APKBUILD | 41 ++++++++++++++++++++++++++++++
  1 file changed, 41 insertions(+)
  create mode 100644 testing/dovecot-pigeonhole-plugin/APKBUILD
diff --git a/testing/dovecot-pigeonhole-plugin/APKBUILD b/testing/dovecot-pigeonhole-plugin/APKBUILD
new file mode 100644
index 0000000..d304401
--- /dev/null
+++ b/testing/dovecot-pigeonhole-plugin/APKBUILD
_at__at_ -0,0 +1,41 @@
+# Contributor: Kozak Ivan <kozak-iv_at_yandex.ru>
+# Maintainer: Kozak Ivan <kozak-iv_at_yandex.ru>
+_pkgname=dovecot-2.2-pigeonhole
+pkgname=dovecot-pigeonhole-plugin
+pkgver=0.4.2
+pkgrel=0
+pkgdesc="Pigeonhole project provides Sieve support as a plugin to Dovecot's LDA"
+url="http://pigeonhole.dovecot.org"
+arch="all"
+license="LGPL"
+depends="dovecot"
+depends_dev="dovecot-dev mercurial openssl-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc $pkgname-dev"
+source="http://pigeonhole.dovecot.org/releases/2.2/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgname-$pkgver"
+
+prepare() {
+	cd "$_builddir"
+}
+
+build() {
+	cd "$_builddir"
+	./configure --prefix=/usr --with-dovecot=/usr/lib/dovecot --disable-static || return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	rm -f "$pkgdir"/usr/lib/dovecot/*.la
+	rm -f "$pkgdir"/usr/lib/dovecot/doveadm/*.la
+	rm -f "$pkgdir"/usr/lib/dovecot/settings/*.la
+	rm -f "$pkgdir"/usr/lib/dovecot/sieve/*.la
+}
+
+md5sums="e8cb4976db9811d37e9d870f2f75ffef  dovecot-2.2-pigeonhole-0.4.2.tar.gz"
+sha256sums="0499f07037b86489fdc1d48fb19e298d5360ec41273bccaec230eb1bcf5a3e13  dovecot-2.2-pigeonhole-0.4.2.tar.gz"
+sha512sums="3b66d00a8462ee668b8671f5eaa48bb91d47ed8bf8b331f7d879ba8c581e2bef11e236b06a8c5da9f1248572348ad0b3e2b867fd0a17badf32152fedbe61c1ed  dovecot-2.2-pigeonhole-0.4.2.tar.gz"
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Tue Feb 04 2014 - 20:34:26 UTC